int r;
int g;
int b;

int LED = 7;

int redPin = 10;
int greenPin = 9;
int bluePin = 8;

void setup() {
 Serial.begin(9600); // initialize serial communications

 pinMode(A0, INPUT);
 pinMode(6, INPUT);
 
 pinMode(LED, OUTPUT);
 pinMode(redPin,OUTPUT);
 pinMode(greenPin,OUTPUT);
 pinMode(bluePin,OUTPUT);
}
 
void loop() {
 int potentiometer = analogRead(A0);                  // read the input pin
 int mappedPot = map(potentiometer, 0, 1023, 1, 12); // remap the pot value to fit in 1 byte
 Serial.write(mappedPot);                             // print it out the serial port
 delay(1);   // slight delay to stabilize the ADC

// String colorCheck = Serial.readString();

 if(Serial.readString() == "C" && digitalRead(6) == 1) {
   r = Serial.read();
   g = Serial.read();
   b = Serial.read();
//   Serial.println(r);
//   Serial.println(g);
//   Serial.println(b);
   digitalWrite(LED, HIGH);
   analogWrite(redPin,r);
   analogWrite(greenPin,g);
   analogWrite(bluePin,b);
 }

 if(digitalRead(6) == 0) {
   digitalWrite(LED, LOW);
   analogWrite(redPin,0);
   analogWrite(greenPin,0);
   analogWrite(bluePin,0);
 }
}
